AX5000 TwinCAT Drive Manager - Title

BECKHOFF Drive Technology

Operating instructions

AX5000 - TwinCAT Drive Manager

Version: 2.1
Date: 22.09.2008


Notes on the documentation

This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the following notes and explanations are followed when installing and commissioning these components.

The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.

Disclaimer

The documentation has been prepared with care. The products described are, however, constantly under development.
For that reason the documentation is not in every case checked for consistency with performance data, standards or other characteristics.
In the event that it contains technical or editorial errors, we retain the right to make alterations at any time and without warning.
No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.

Trademarks

Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE® and XFC® are registered trademarks of and licensed by Beckhoff Automation GmbH.
Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.

Patent Pending

The TwinCAT Technology is covered, including but not limited to the following patent applications and patents:
EP0851348, US6167425 with corresponding applications or registrations in various other countries.

Copyright

© Beckhoff Automation GmbH & Co. KG, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


Safety Instructions

Safety Rules

Consider the following safety instructions and descriptions!
Product specific safety instructions are to be found on the following pages or in the areas mounting, wiring, commissioning etc.

Disclaimer

All the components are supplied in particular hardware and software configurations appropriate for the application. Modifications to hardware or software configurations other than those described in the documentation are not permitted, and nullify the liability of Beckhoff Automation GmbH.

Personnel Qualification

This description is only intended for the use of trained specialists in control, automation and drive engineering who are familiar with the applicable national standards.

Description of safety symbols

The following safety symbols with a adjoining safety advise are used in this operating manual. You have to read the adjoining safety advice carefully and adhere it strictly.

DANGER 		Acute risk of injury!
If you do not adhere the safety advise adjoining this symbol, there is immediate danger to life and health of individuals!

WARNING 		Risk of injury!
If you do not adhere the safety advise adjoining this symbol, there is danger to life and health of individuals!

CAUTION 		Hazard to individuals, environment and devices!
If you do not adhere the safety advise adjoining this symbol, there is obvious hazard to individuals, environment and materials!

Note 		Note or pointer
This symbol indicates information that contributes to better understanding.


AX5000 TwinCAT Drive Manager - Documentation issue status

BECKHOFF AX5000-TwinCAT Drive Manager: Foreword

Documentation issue status

Version | Comment
2.1 | Update: General --> Overview Toolbar --> Overview Working area --> Overview Working area --> Treeview Working area --> Working sheet --> Device --> Scope New: Foreword --> Notes on the documentations Foreword --> Safety instructions Foreword --> Documentation issue status Appendix --> Support and Service General routine corrections
2.0 | First published
1.0 | Internal Version


AX5000 TwinCAT Drive Manager - Overview

BECKHOFF AX5000-TwinCAT Drive Manager: General

Overview

TwinCAT Drive Manager for parameterizing a AX5000 device is integrated inside the System Manager, so that no installation of a separated configuration tool is necessary.

After scan or insert a AX5000 device (4), the TwinCAT Drive Manager can be found in the "Configuration" tab (5) of the Property Tabs of the device under the I/O Configuration.

The Drive Manager is constructed from 3 parts: toolbar, working area, status bar:

1 | The toolbar offers the important online access related functions and the functions to configure the appearance of the Drive Manager.
2 | The working area is the place where to parameterize and appealed for different themes.
3 | The status bar shows a list of the online value of the parameters such as axis state, error and so on.


AX5000 TwinCAT Drive Manager - Overview Toolbar

BECKHOFF AX5000-TwinCAT Drive Manager: Toolbar

Overview - toolbar

Update the actual value of parameters in the working area cyclically.
Update the actual value of parameters in the working area once per click.
Dock or undock the tree view (2) in the working area. If the button (1) is activated, the tree view (2) will always be shown on the left side of the working area. If the button 1 (3) is deactivated, the tree will not be shown.

Show tree Hide tree

show or hide the status bar (2). If the button (1) is activated, the status bar (2) will always be shown on the bottom of the working area. If the button (3) is deactivated, the status bar (3) will be hide.
Show status bar
Hide Status bar

Back to the previous achived dialog.
Go to the next achived dialog.

Note 		Administrator mode
The next symbol is only shown in the administrator mode.
Compare the parameters properties such as name, attribute, min/max value, default value, unit which defines in description xml and device. The comparing results show in the window as below.

Switch between channel A and channel B.
Selection of a drive to the selected motor.
After input (1) of the stall current the button (2) must be clicked. Afterwards in the field 3 the suitable drives are indicated. In field 4 a lower tolerance of the stall current can be entered.

Call up the Startup List.

Fixed parameter, can not be modified and deleted.
Parameter NOT from motor/feedback databank.
Disabled parameter NOT from motor/feedback databank. It will not be downloaded to device when the EtherCAT Phase is switched to Op.
New parameter NOT from motor/feedback databank, Not yet in the Startup list.
Parameter NOT from motor/feedback databank. The Set-Value is different from the one in the Startup list and Drive Manager.
Parameter from motor/feedback databank.
Disabled parameter from motor/feedback databank. It will not be downloaded to device when the EtherCAT Phase is switched to Op.
Parameter from motor/feedback databank, not yet in the Startup list.
Parameter from motor/feedback databank. The Set-Value is different from the one in the Startup list and Drive Manager.
User-defined parameter from motor/feedback databank. This parameter is application dependent and must be examined.
User-defined disabled parameter from motor/feedback databank. It will not be downloaded to device when the EtherCAT Phase is switched to Op.
User-defined parameter from motor/feedback databank, not yet in the Startup list.
User-defined parameter from motor/feedback databank. The Set-Value is different from the one in the Startup list and Drive Manager.

Startup list Dialog is a place to generate, edit a list of the parameters, whose set value will be download to device when the EtherCAT phase is switched to Safe-op or Op. It has 2 parts:

  • the upper part shows such a list. The buttons beside the list can be used to switch the channel, En/disable, Delete, Add a parameter, clean up the list, Export the list as a xml file or import such a xml file to get the list. OK button should be clicked if the list should be activated.

  • the list in the lower part it lists the parameters, whose set value is modified in the working area of the Drive Manager. Using Accept or Accept All button will add the selected or all parameters to the startup list in the upper part.

Display the Status configuration window, where to decide which parameters should be shown in the status bar.

As long as this button is pressed, the ActValue will be shown in the text editors in the working area. otherwise the Set-values are shown.
Display the About window, gives the version of the Drive Manager and Dictionary-File. The Help button shows this document.

Is used to change the EtherCAT Phase.


AX5000 TwinCAT Drive Manager - Overview of the working area

BECKHOFF AX5000-TwinCAT Drive Manager: Working area

Overview - working area

The icon (4) on the right-button of the working sheet is scroll-control. If one click on it, it will expand.
One can press on the arrows to scroll the current working sheet. And the X button can be used to set the control to normal size.
The hint for the color in an editor

In an editor of a working sheet, the color of the text and the background gives the following hints:

Background in dark grey and text in white : the device is not accessible (1).

Background in white: the device is accessible (2), i.e. actual values of parameters can be at least read.

Text in black: Set-value is the same as act-value.

Text in red: Set-value is different from act-value.

Note 		Quick-Info
Normally, the Set-Value is shown in an editor. And the Act-value is displayed in the tooltip of the editor along with other information of the parameter, including Index, Name, Min/Max/Default value and Unit.

But as long as the button on the toolbar is pressed, the content in an editor will toggled from Set-value to Act-value.


AX5000 TwinCAT Drive Manager - Tree view in the working area

BECKHOFF AX5000-TwinCAT Drive Manager: Working area

Tree view in the working area

The tree view lists the parameterizing groups, classified by the functions for the whole device and channels. If an item on the tree view is selected, the corresponding working sheet will be shown. The selected item is then marked with a colored background.

Context menu of a tree view item

If a tree view item is clicked with the right-mouse button, a context menu will be shown. The menu items depend on the tree view item's state:

  • if the item indicates the current working sheet, the context menu as below will be shown. If the device has 2 channels and the working sheet is channel-depending, only "Goto channel A" or "Goto channel B" is enabled. By selecting this menu, the same working sheet but for another channel will be activated.

  • if the tree view item indicates the non-current working sheet, either non-activated or as an additional docking sheet, the context menu shows 5 more docking related menu items.

By selecting one of "Show ..." menu, additional docking sheet can be docked to the left, right, top or bottom to the current working sheet. And the tree view item will be then marked in blue color.

A docking sheet can be of course moved by holding its title bar with the Mouse and docked to other positions or even as a floating window. And it can be closed by the close button on its title bar or "Release Docking" item of its context menu. In contrast, the current working sheet can not be moved or closed.


Device working sheet

One can use the Device working sheet to initialize or reset the Set-values of all parameters. It makes the parameterizing work easier. There are 3 different way:

  • with the online value: only available if the device has a least Pre-Op Phase and all the parameters can be read.

  • with the default value: the Set-values will be given as the default values defined in a dictionary file.

  • with a xml file (e.g. startup list): the Set-values will be given as the values in a xml file, which is exported from a Device working sheet of another Device, or from the Startup list Dialog which can be display by [image] button on the toolbar.

If a AX5000 device is first time appended to the System Manager, the Drive Manager will take either the first or second way to initialize the Set-values, depending on weather the parameters are accessible or not at the time.

"Export the SetValues as xml..." button generates a xml file for resetting the Set-Values for another device.

Report history gives a report what is done during "Change to compatible type...".


Device info working sheet

Device Info working sheet lists the important data of Firmware Info and Hardware Info, including for instance Manufacturer Version. The data can be exported as a file or can be printed out, and will be required if one need to contact with the Service Center.


Power Management working sheet

Power Management working sheet offers 2 ways to parameterize:

Graphic View: it offers a optical overview, how the power management in AX5000 works.

(1) switch between Table and Graphic View.

(2) Download the given value to device.

(3) Display of Nominal actual main voltage value (read-only).

(4) Show the Umain Phase Error Detection option Dialog.

(5) Editor for Nominal main voltage.

(6) Editor for Main voltage positive tolerance range.

(7) Editor for Main voltage negative tolerance range.

(8) Display of Actual power internal brake resistor (read-only).

(9) Show the Act-values of the internal brake resistor parameter (read-only).

(10) Show the dialog for enable or disable the internal brake resistor.

(11) Display of DC bus voltage (read-only).

(12) Display of External DC link current (read-only).

(13) Show DC Link option dialog

(14) Display of actual power external brake resistor.

(15) Show the dialog for setting External brake resistor parameter.

Tabel View: it lists all the Power Management related parameters. One can also give the Set-value directly in the editor of the grid and confirm with a Enter-key.


Display working sheet

Using Display working sheet, the content shown on the text display on the front of the device can be decided. As long as no device error occurs, the Act-value of the desired settings will be displayed.


AX5000 TwinCAT Drive Manager - TwinCAT Scope View

BECKHOFF AX5000-TwinCAT Drive Manager: Working area -- Working sheets -- Device

TwinCAT Scope View

General

TwinCAT Scope View offers a comfortable possibility for the diagnostics of the device parameters. Before to start the Scope View, one has to firstly activate "ADS" (2) and "Enable ADS server" (3) on Process Image (1) and activate this System Manager configuration with the button (4).

Start TwinCAT Scope View

TwinCAT Scope View is not integrated in the TwinCAT Drive Manager any longer and must be started separately. The following diagram can deviate depending upon operating system and configuration.

You will find the description of "TwinCAT Scope View" on www.Beckhoff.com at "Download (1) --> Documentation (2) --> TwinCAT (3) --> TwinCAT Scope View (4)".


Controller overview working sheet

This working sheet gives the overview of the construct of the AX5000's controllers. One can press one of the buttons directly go to the working sheet of Power Management, Controller Unit or Motor and Feedback 1.


Error reaction, drive halt working sheet

BECKHOFF Drive Technology: TwinCAT Drive Manager

Error reaction / drive halt working sheet

In this working sheet the settings for error reaction and drive halt can be decided.


Controller overview working sheet

This working sheet gives the overview of the construct of the AX5000's controllers. It contains position controller, velocity controller and current controller unit, which can be combined with the controllers from other system, such as TwinCAT NC. As default the device has velocity control as primary operation mode. That means, that the TwinCAT NC takes over the position control and the device carries over the velocity and current control. In this way, one can benefit from the rich functionality and flexibility of the TwinCAT NC, such as the TwinCAT PLC motion function blocks. One can press one of the buttons to directly go to the working sheet of Position Control Unit, Velocity Control Unit or Current Control Unit.


Position controller unit working sheet

This working sheet shows the concept of the Position Controller Unit of the AX5000 in more details. As usual, the Set-value can be directly given in the editors for such as Position loop Kv-factor.


Velocity controller unit working sheet

This working sheet shows the concept of the Velocity Controller Unit of the AX5000 in more details. As usual, the Set-value can be directly given in the editors for such as Velocity loop integral action time.


Current controller unit working sheet

This working sheet shows the concept of the Current Controller Unit of the AX5000 in more details. As usual, the Set-value can be directly given in the editors for such as Current loop integral action time.


Motor and feedback working sheet

In this working sheet a motor and/or suitable feedbacks can be selected from a database with all the motors and feedbacks supported by Beckhoff. If the motor has a Beckhoff defined electronic type label, the scan motor and feedback function can be used.

  • There is an option to decide if the parameters loaded from database should be appended directly into the startup list or not, after a motor and/or feedback(s) are selected. In the case of resetting the motor-feedback data, this option can also be used to decide if the parameters of the selected motor-feedback should be removed from the startup list or not.

There are 3 options, which are listed in [image].

  1. No: the parameters will not be appended to the startup list directly, and have to be added to the startup list manually.

  2. Standard: all the standard parameters, marked as [image] in the startup list dialog will be added to the startup list directly.

  3. Standard+User defined (Default): all the parameters read from the database, including the user defined parameters (marked as [image] in the startup list dialog) will be appended to the startup list directly.

Note The parameters read from the database can be modified later after selected in the Drive Manager. The standard parameters are the parameters which in general should not be modified. They are the basic settings for the motor. Instead, the user defined parameters can be modified depending on the different requirement of the applications.

  • The data of a selected motor and feedback(s) can be reset all together or separately by using the dropdown button [image].

  • Before selecting or scanning a motor and its feedback(s), the physical connectors of the feedbacks have to be decided fristly with the connector comboboxes.

Scan motor /feedback

This function can only be used in Pre-op phase, which can be confirmed in the status bar. Press the "Scan motor and feedback 1" button and the connected motor and/or feedback will be found, If the motor has a Beckhoff defined electronic type label.

After pressing the "Scan motor and feedback1*" or "Scan feedback 2*" button, "Scan motor and feedback" dialog will be shown.

The datasets of the different feedback type will be downloaded and tested through command "P-0-0163". If the command successfully implemented, the name plate type in the parameter "P-0-0098" will be read. And the motor type and feedback type can be obtained, if they are labeled.

Select a motor

Press the button [image] and the "Select a motor" dialog is shown. All the motors in the database supported by this AX5000 device is listed in the list. The motors are categorized in two groups: Synchronous and Asynchronous Motors. For each group it is further categorized in Rotational and Linear motors. And then the motor types are listed under manufacturer/Application/Motor serial, e.g. as below showed.

After a motor type is selected, "OK" button should be pressed. The constraints dialog will be shown, and one constraint has to be selected.

The parameters settings for this motor type will then be read from the database and shown in the list on the Motor and Feedback working sheet. If the motor is manufactured with a specified feedback 1, the parameters of the feedback 1 will also be shown in the list. If not, a feedback can then be selected separately as following instructions.

Select a feedback

Press the button [image] and the "Select a motor feedback." dialog is shown. All the feedbacks in the database supported by this AX5000 device is listed in the list. The feedbacks are categorized in two groups: rotational and linear motor feedbacks. The motor feedback types are listed under manufacturer/Application/Motor feedback serial for each group, e.g. as below showed.

If an additional feedback is used, the button [image] can be pressed to show the above dialog and a feedback type can be selected.

Change the feedback direction

The feedback direction related to the motor direction can be configured with the button [image]. After the button is pressed, the dialog

will be shown. There the desired direction can be given.

The buttons "Feedback 1 Parameters", "Motor Parameters" and "Feedback 2 Parameters" will direct to the working sheet "Feedback 1", "Motor" and "Feedback 2" respectively.


Motor and feedback 1 working sheet

In this working sheet shows the list of data sets for the selected motor.

if [image] is pressed, the parent working sheet "Motor and Feedback" will be oriented.


Feedback 1 working sheet

In this working sheet displays the parameters of the selected Feedback 1.

The Reference signal can be set for Probe Unit. if the signal in Mux 2 in the Probe 1 logic configuration is selected as "8: Reference signal feedback front".

If [image] is pressed, the parent working sheet "Motor and Feedback" will be oriented.


Feedback 2 working sheet

In this working sheet displays the parameters of the selected Feedback 2. As seen, Feedback 1 and Feedback 2 have the same data structure.

The Reference signal can be set for Probe Unit. if the signal in Mux 2 in the Probe 1 logic configuration is selected as "8: Reference signal feedback front".

If [image] is pressed, the parent working sheet "Motor and Feedback" will be oriented.


Digital I/O working sheet

In this working sheet the status of the digital I/Os. If any of the I/O ports active, the led with its number will be in green background. Otherwise, it will be in red background.

All digital I/O ports except digital I/O port 7, serve as inputs. The digital I/O port 7 can be configured as well. The checkboxes are used for setting the Set-values and the label over shows the actual value for port 7.


Parameter list working sheet

In this working sheet all the available parameters are listed. As default the parameters are shown in the groups.

If the right mouse is clicked somewhere on the list header, a context menu will be shown and the item "Show in group" is checked. If this item is unchecked, the parameters are shown in ascending order of parameter indexes.

By using the context menu, the minimum, maximum and default values can also be shown in the list.

if the left-mouse button is clicked on IDN or Name header, the parameters will be sorted in ascending or descending order according the index or name.

If the parameter is editable, the Set-value can be also directly modified in the editor, which can be shown by clicking on the cell. To undertake the modification, the return key has to be pressed.

"Download" button can be used for downloading the Set-values of the selected parameters. Multi-selection is allowed.

"Upload All Visible" button can be used for update the Act-values of the visible parameters in the list. It acts the same as the button [image] or [image] on the toolbar.


Probe unit working sheet

Probe Unit is a "measuring via probe" function. It can be used as reference operation. It works only with Safe-Op or Op phase, which can be confirmed in the status bar.

The probe logic configuration decides what signal should be watched and through a command the probe will be activated. As long as the configured signal gives the selected edge, the drive stores such as the position feedback value, which can be decided through a probe unit source parameter. This working sheet offers the functions to configure the logic, start/stop the command and decide target source.

The actual values of the parameters for probe unit show on the buttons in graphic or text. One can modify the Set-values on the dialogs, which can be displayed by pressing the buttons.

Two signal sources can be used for probe unit:

  • A digital input with a desired edge can be selected for multiplexer 1.

  • Besides the digital inputs, two reference signal inputs are available for multiplexer 2.

If "8: Reference signal Feedback" is selected, the following message will be shown.

If the "OK" is pressed, the "Feedback 1" working sheet will be directed. There the feedback reference signal can be set.

The logic block will decide what signal actually works.

Before enable Probe unit, the final edge of the signal has to be decided through the "Pos edge" or "Neg edge".

Only when the "Pos edge" or "Neg edge" is activated, the "Probe Enable" can be activated.

The most right button can be used to select what value will be stored, at this moment only "Position feedback 1 value" is available.

After all the settings and added to startup list, this configuration has to be activated. After that, the probe unit can be implemented by pressing "Start" button. The result can be observed in one of the labels on the most right side.


Manual operation working sheet

Manual Operation working sheet is the place to activate/deactivate the motor brake manually.


Drive commands working sheet

Drive Commands working sheet is the place to implement the drive commands. There are two kinds of the commands:

  • one kind is the commands to stand alone, such as "P-0-0905: Clear error history (pc)"

  • another kind is the commands to activate the settings of other parameters, such as "P-0-0162: Feedback 1: Save digital name plate (pc)" will activate the setting of "P-0-0098: Digital motor name plate". That means the setting of the related parameter has to be downloaded before the command implemented, sometimes a password is required.

In this working sheet, the commands can be selected from the combobox above. As long as a command is selected, the related parameter will be listed below, if available.

The result of download and implement of the commands will be shown below the list.


Diagnostics working sheet

Diagnostics working sheet gives lists of current errors and the error history.

If the button [image] is clicked, a more detail "Diagnostics Info" dialog will be shown.


IDN debugger working sheet

IDN debugger working sheet is the place to load and download the parameters in their SOE row format. The result will not refer to the IDN description file.


Overview of the status bar

BECKHOFF Drive Technology: TwinCAT Drive Manager

Overview - status bar

The columns in the status bar list can be configured through Config Status list Dialog, which can be shown by pressing the [image] button on the toolbar. The row number is dependant of the number of device channel. The cells display the actual value of the parameters in text, or in LED looks, if the parameters are accessible.

The most top left header indicates the Phase of the Device State. It shows in grey if the Device is Offline, in the phase of Init and Bootstrap. That also means, that the parameters are not accessible for reading and writing. If the Device is in phrase of Pre-Op, Safe-Op and Op, this header shows in green without any error or warning, in red with errors and in yellow with warnings. The details of errors or warnings can be got if this header is pressed.

Error Id is another important column. A tool tip with the error list is available if there is any error and if the cell of the Error Id column is clicked.

The errors can be reset if one clicks the button [image] in the right side of the cell. This will implement the SoE command "S-0-0099".

The LEDs in the cells indicate a boolean state: true in green, false in red. Grey color means, that the parameter is not accessible.

The background color for the text in a cell such as Ampl. Temp. [C°] indicates error (overheated) in red, warning (at the range of warning temperature) in yellow.


A kick-off start

1) Connect the AX5000devices in the system according to the hardware handbook.

2) Open System Manager and create a new document.

3) Set/Reset TwinCAT to Config Mode.

4) Select I/O Devices under I/O - Configuration and Scan Devices...

5) Click OK button in all coming message boxes.

6) Select a AX5000 device item and go to Configuration tab.

7) Click on the Motor -Feedback button in the working area to switch to the working sheet of "Motor and Feedback".

8) Click on the "Scan motor and feedback 1*" button on the working sheet of "Motor and Feedback".

9) Click on "OK" on the "Scan motor and feedback" dialog and the "Constraints" dialog will be shown.

10) Select the suitable constraint from the Constraints Dialog.

A list of parameters and their Set-Values will be loaded from the motor data bank and the type of motor and feedback will be shown.

11) Click [image] Back to the previous dialog on the toolbar to go back to the working sheet in 7). Click on "Power Management" button. Or click on the title of Motor-Feedback sheet to show the tree view, then select "Device/Power Management" item.

12) Give the suitable Umain value. In the case of this example with 230V, click "Phase Error Detection" button to show "Power Management control word..." dialog and select "Disable UmainPhaseErrorDetection" and then click OK or Download button.

13) Click [image] Startuplist button in the toolbar to show Startup list Dialog. Click "Accept All" and then "OK" button.

14) Save the project and Activate configuration of the System Manager.

15) Check the status bar if the Drive gets ready. Go to the linked Axes under NC - Configuration and there to drive up the motors.


Support and Service

Beckhoff and their partners around the world offer comprehensive support and service, making available fast and competent assistance with all questions related to Beckhoff products and system solutions.

Beckhoff's branch offices and representatives

Please contact your Beckhoff branch office or representative for local support and service on Beckhoff products!

The addresses of Beckhoff's branch offices and representatives round the world can be found on her internet pages:
http://www.beckhoff.com

You will also find further documentation for Beckhoff components there.

Beckhoff Headquarters

Beckhoff Automation GmbH

Huelshorstweg 20
33415 Verl
Germany

Phone: | +49(0)5246/963-0
Fax: | +49(0)5246/963-198
e-mail: | info@beckhoff.com
Beckhoff Support

Support offers you comprehensive technical assistance, helping you not only with the application of individual Beckhoff products, but also with other, wide-ranging services:

  • support
  • design, programming and commissioning of complex automation systems
  • and extensive training program for Beckhoff system components
Hotline: | +49(0)5246/963-157
Fax: | +49(0)5246/963-9157
e-mail: | support@beckhoff.com
Beckhoff Service

The Beckhoff Service Center supports you in all matters of after-sales service:

  • on-site service
  • repair service
  • spare parts service
  • hotline service
Hotline: | +49(0)5246/963-460
Fax: | +49(0)5246/963-479
e-mail: | service@beckhoff.com


Motor and feedback 1 working sheet

In this working sheet a motor and/or a suitable feedback can be selected from a database with all the motors and feedbacks supported by Beckhoff. If the motor has a Beckhoff defined electronic type label, the scan motor and feedback function can be used.

Select a motor

Press the button "Select Motor" and the "Select a motor" dialog is shown. All the motors in the database supported by this AX5000 device is listed in the list. The motors are categorized in two groups: Synchronous and Asynchronous Motors. For each group it is further categorized in Rotational and Linear motors. And then the motor types are listed under manufacturer/Application/Motor serial, e.g. as below showed.

One can decide if the parameters should be appended directly into the startup list or not. This option can be set through selecting the one of the radio buttons:

  • No: the parameters will not be appended to the startup list directly, and have to be added to the startup list manually.

  • Standard: all the standard parameters, marked as [image] in the startup list dialog will be added to the startup list directly.

  • Standard + User defined: all the parameters read from the database, including the user defined parameters (marked as [image] in the startup list dialog) will be appended to the startup list directly.

The option can be also decided from the combobox [image] on the Motor and Feedback 1 working sheet.

Note The parameters read from the database can be modified later after selected in the Drive Manager. The standard parameters are the parameters which in general should not be modified. They are the basic settings for the motor. Instead, the user defined parameters can be modified depending on the different requirement of the applications.

After a motor type is selected, "OK" button should be pressed. The constraints dialog will be shown, and one constraint has to be selected.

The parameters settings for this motor type will then be read from the database and shown in the list on the Motor and Feedback 1 working sheet. If the motor is manufactured with a specified feedback, the parameters of the feedback will also be shown in the list. If not, a feedback can then be selected separately as following instructions.

Select a feedback

Press the button "Select Feedback" and the "Select a Motor feedback." dialog is shown. All the feedbacks in the database supported by this AX5000 device is listed in the list. The feedbacks are categorized in two groups: Rotational and Linear Motor feedbacks. The motor feedback types are listed under manufacturer/Application/Motor feedback serial for each group, e.g. as below showed.

Same as the selection motor type, the option for startup list can be also decided here.

Scan motor and feedback

This function can only be used in Pre-op phase, which can be confirmed in the status bar. Press the "Scan motor and feedback" button and the connected motor and/or feedback will be found, If the motor has a Beckhoff defined electronic type label.